import 'package:flutter/material.dart';
import 'package:recup_app_storybook/stories/cards/card_one/recup_card_one.dart';
import 'package:recup_app_storybook/stories/feedback/status/status.dart';
import 'package:recup_app_storybook/theme/colors.dart';

import 'package:storybook_flutter/storybook_flutter.dart';

class RecupCardOneStory extends Story {
  RecupCardOneStory()
      : super(
          name: 'Card/RecupCardOne',
          builder: (context) {
            const foto =
                "https://images.unsplash.com/photo-1658459239113-39cc85f15154?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=1374&q=80";

            return RecupCardOne(
              backgroundImage: foto,
              iconButton:
                  const Icon(Icons.add_moderator, color: RecupColor.primary),
              titulo: context.knobs.text(
                label: 'titulo',
                initial: 'Bon d’achat 5€ sur toute le magasin',
              ),
              subtitulo: context.knobs.text(
                label: 'subtitulo',
                initial: 'Galeries Lafayette Rouen',
              ),
              isSmallCard: context.knobs.boolean(
                label: 'isSmallCard',
                initial: true,
                description: 'Indica se o card é pequeno ou grande',
              ),
              widgetTitle: Row(
                children: const [
                  Text('3 flacons'),
                  Icon(Icons.add),
                ],
              ),
              children: [
                RecupStatus(
                  child: Row(
                    children: const [
                      Icon(Icons.add),
                      Text('0,03KM'),
                    ],
                  ),
                ),
                Row(
                  children: [
                    Text(
                      '10',
                      style: Theme.of(context).textTheme.titleMedium,
                    ),
                    const SizedBox(width: 5.0),
                    const Icon(Icons.add),
                  ],
                )
              ],
            );
          },
        );
}
