import 'package:flutter/material.dart';
import 'package:recup_app_storybook/stories/buttons/stories_button.dart';
import 'package:recup_app_storybook/stories/cards/card_stories.dart';
import 'package:recup_app_storybook/stories/data_display/stories_data_display.dart';
import 'package:recup_app_storybook/stories/feedback/stories_feedback.dart';
import 'package:storybook_flutter/storybook_flutter.dart';

class RecupStorybook extends StatelessWidget {
  const RecupStorybook({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) => Storybook(
        initialStory: 'Screens/Scaffold',
        plugins: initializePlugins(
          contentsSidePanel: true,
          knobsSidePanel: true,
          initialDeviceFrameData: DeviceFrameData(
            device: Devices.android.samsungGalaxyA50,
          ),
        ),
        stories: [
          ...ButtonStories.stories,
          ...DataDisplayStories.stories,
          ...CardStories.stories,
          ...FeedbackStories.stories
        ],
      );
}
